Subject: Re: bug#66006: 30.0.50; (setf (buffer-string) "text") doesn't respect narrowing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Sep 2023 08:21:03 +0300

tags 66006 wontfix
close 66006

> From: Sebastián Monía <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Sebastián Monía
>  <[email-masked]>,
>   [email-masked]
> Cc: 
> Date: Fri, 15 Sep 2023 14:01:01 -0600
> 
> Stefan Monnier <[email-masked]> writes:
> 
> Hi Eli, Stefan,
> 
> > I think we don't want to fix this because:
> >
> >     (make-obsolete-generalized-variable 'buffer-string nil "29.1")
> 
> Funny, I did try to look for the definition of setf for this particular
> case and didn't know where, so I gave up. Probably if I kept at it I
> would have found that declaration :)
> 
> I am ok keeping things as they are, then.

OK, so I'm closing this bug as wontfix.

Thanks.